/* @(#) $Id: cf.h,v 1.4 2003/04/06 19:09:39 leres Exp $ (LBL) */
#ifndef acld_cf_h
#define acld_cf_h

struct cf {
	time_t c_time;			/* unix timestamp of config file */
	int c_port;			/* local port to listen for clients */
	int c_lowseq;			/* first sequence number to use */
	int c_highseq;			/* first sequence number to use */
	int c_listedallacls;		/* have we listed all the acl's? */
	int c_login_secs;		/* seconds to between login attempts */
	int c_ayt_secs;			/* seconds to wait before sync'ing */
	int c_sync_secs;		/* seconds to wait before sync'ing */
	int c_select_secs;		/* default seconds in select loop */

	char *c_cuser;			/* connect username */
	char *c_cpass1;			/* primary connect password */
	char *c_cpass2;			/* backup connect password */

	char *c_euser;			/* enable username */
	char *c_epass1;			/* primary enable password */
	char *c_epass2;			/* backup enable password */

	char *c_expect;			/* pathname expect binary */
	char *c_router;			/* ip addr or hostname of router */
	char *c_script;			/* pathname expect binary */

	struct acllist *c_acllist;
	int c_acllistlen;
	int c_acllistsize;

	struct intlist *c_intlist;
	int c_intlistlen;
	int c_intlistsize;
};

struct cf *parsecf(const char *);
void freecf(struct cf *);
#endif
